<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::adsl::test::DirectiveSequencerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl.html">adsl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html">DirectiveSequencerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::adsl::test::DirectiveSequencerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html" title="DirectiveSequencerTest. ">DirectiveSequencerTest</a>.  
 <a href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::adsl::test::DirectiveSequencerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test_inherit__map" id="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::adsl::test::DirectiveSequencerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test_coll__map" id="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a69ca56d1e8e7683cb0909a3d798732b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#a69ca56d1e8e7683cb0909a3d798732b2">SetUp</a> () override</td></tr>
<tr class="separator:a69ca56d1e8e7683cb0909a3d798732b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29cef5b15ab5ec9234cc734c23d885f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#a29cef5b15ab5ec9234cc734c23d885f4">TearDown</a> () override</td></tr>
<tr class="separator:a29cef5b15ab5ec9234cc734c23d885f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6341fe9983d10873ee08b22c05e752a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#ad6341fe9983d10873ee08b22c05e752a">setDialogRequestId</a> (std::string dialogRequestId)</td></tr>
<tr class="separator:ad6341fe9983d10873ee08b22c05e752a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab8db24f5295a2cbcad551daf96d5b806"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">MockDirectiveHandler</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#ab8db24f5295a2cbcad551daf96d5b806">m_doneHandler</a></td></tr>
<tr class="memdesc:ab8db24f5295a2cbcad551daf96d5b806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handler to invoke for the Test::Done directive.  <a href="#ab8db24f5295a2cbcad551daf96d5b806">More...</a><br /></td></tr>
<tr class="separator:ab8db24f5295a2cbcad551daf96d5b806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64ddbfabbc829f3745d300fba741df31"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#a64ddbfabbc829f3745d300fba741df31">m_exceptionEncounteredSender</a></td></tr>
<tr class="memdesc:a64ddbfabbc829f3745d300fba741df31"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html">DirectiveSequencer</a> to test.  <a href="#a64ddbfabbc829f3745d300fba741df31">More...</a><br /></td></tr>
<tr class="separator:a64ddbfabbc829f3745d300fba741df31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa60705c08eccb29fc0e3af231678433e"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_sequencer_interface.html">DirectiveSequencerInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#aa60705c08eccb29fc0e3af231678433e">m_sequencer</a></td></tr>
<tr class="memdesc:aa60705c08eccb29fc0e3af231678433e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html">DirectiveSequencer</a> to test.  <a href="#aa60705c08eccb29fc0e3af231678433e">More...</a><br /></td></tr>
<tr class="separator:aa60705c08eccb29fc0e3af231678433e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2451f0471f15c21b7b85939c6300c281"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#a2451f0471f15c21b7b85939c6300c281">m_attachmentManager</a></td></tr>
<tr class="memdesc:a2451f0471f15c21b7b85939c6300c281"><td class="mdescLeft">&#160;</td><td class="mdescRight">AttachmentManager with which to create directives.  <a href="#a2451f0471f15c21b7b85939c6300c281">More...</a><br /></td></tr>
<tr class="separator:a2451f0471f15c21b7b85939c6300c281"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class=""><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html" title="DirectiveSequencerTest. ">DirectiveSequencerTest</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad6341fe9983d10873ee08b22c05e752a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6341fe9983d10873ee08b22c05e752a">&#9670;&nbsp;</a></span>setDialogRequestId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::adsl::test::DirectiveSequencerTest::setDialogRequestId </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dialogRequestId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">SetDialogRequestId(). Tests should use this method rather than m_sequencer-&gt;<a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#ad6341fe9983d10873ee08b22c05e752a">setDialogRequestId()</a> so that <code><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html#a29cef5b15ab5ec9234cc734c23d885f4">TearDown()</a></code> knows which <code>DialogRequestId</code> to use for the Test::Done directive. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dialogRequestId</td><td>The new value for DialogRequestId. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a69ca56d1e8e7683cb0909a3d798732b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69ca56d1e8e7683cb0909a3d798732b2">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::adsl::test::DirectiveSequencerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Setup the <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html" title="DirectiveSequencerTest. ">DirectiveSequencerTest</a>. Creates a <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html">DirectiveSequencer</a> and initialized it with a DirectiveHandler that allows waiting for a final directive to be processed. </p>

</div>
</div>
<a id="a29cef5b15ab5ec9234cc734c23d885f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29cef5b15ab5ec9234cc734c23d885f4">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::adsl::test::DirectiveSequencerTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">TearDown the <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_sequencer_test.html" title="DirectiveSequencerTest. ">DirectiveSequencerTest</a>. Sends a Test.Done directive with the current dialogRequestId and waits for it to be handled before allowing the test to complete. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a2451f0471f15c21b7b85939c6300c281"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2451f0471f15c21b7b85939c6300c281">&#9670;&nbsp;</a></span>m_attachmentManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a>&gt; alexaClientSDK::adsl::test::DirectiveSequencerTest::m_attachmentManager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AttachmentManager with which to create directives. </p>

</div>
</div>
<a id="ab8db24f5295a2cbcad551daf96d5b806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8db24f5295a2cbcad551daf96d5b806">&#9670;&nbsp;</a></span>m_doneHandler</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_directive_handler.html">MockDirectiveHandler</a>&gt; alexaClientSDK::adsl::test::DirectiveSequencerTest::m_doneHandler</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handler to invoke for the Test::Done directive. </p>

</div>
</div>
<a id="a64ddbfabbc829f3745d300fba741df31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64ddbfabbc829f3745d300fba741df31">&#9670;&nbsp;</a></span>m_exceptionEncounteredSender</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a>&gt; alexaClientSDK::adsl::test::DirectiveSequencerTest::m_exceptionEncounteredSender</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html">DirectiveSequencer</a> to test. </p>

</div>
</div>
<a id="aa60705c08eccb29fc0e3af231678433e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa60705c08eccb29fc0e3af231678433e">&#9670;&nbsp;</a></span>m_sequencer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_sequencer_interface.html">DirectiveSequencerInterface</a>&gt; alexaClientSDK::adsl::test::DirectiveSequencerTest::m_sequencer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_sequencer.html">DirectiveSequencer</a> to test. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ADSL/test/<a class="el" href="_directive_sequencer_test_8cpp.html">DirectiveSequencerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
